package com.isidroid.location.repository

import android.content.Context
import androidx.compose.ui.text.intl.Locale
import com.isidroid.location.ext.calculateDistanceBetweenPoints

class LocationRepositoryImpl(context: Context) : LocationRepository {
    override fun getCurrentLocation(): Pair<Double, Double> {
        TODO("Not yet implemented")
    }

    override fun findDistance(myLat: Double, myLng: Double, locationLat: Double?, locationLng: Double?): Float? {
        if (locationLat == null || locationLng == null) return null
        return calculateDistanceBetweenPoints(Locale.current, myLat, myLng, locationLat, locationLng).toFloat()
    }
}